"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550280>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550310>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45503a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550430>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45504c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550550>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45505e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550670>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550790>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550820>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45508b0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550940>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45509d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550a60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550af0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550b80>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550c10>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550ca0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550d30>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550dc0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550e50>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550ee0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4550f70>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45540d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554040>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554160>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45541f0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554280>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554310>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45543a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554430>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45544c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554550>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45545e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554670>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554700>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554790>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554820>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45548b0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554940>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45549d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554a60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554af0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554b80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554c10>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554ca0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554d30>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554dc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554e50>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554ee0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4554f70>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45580d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558160>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45581f0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558280>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558310>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45583a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558430>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45584c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558550>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45585e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558670>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558700>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45588b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558790>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558940>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d45589d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558a60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558af0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558b80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558ca0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558c10>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558d30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558dc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558e50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558f70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d4558ee0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d455b040>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d455b0d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d455b160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d455b1f0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d455b280>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f81d455b310>)]
name: str = 'fr_HOCCN'
